package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWFIC8Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWFIC8Data() {}

    public static MWFIC8Data builder() {
        return new MWFIC8Data();
    }

    public MWFIC8Data rsInstAddrKey(Long rsInstAddrKey) {
        params.put("RS_INST_ADDR_KEY", rsInstAddrKey);
        return this;
    }

    public MWFIC8Data rsStreetDescNo(String rsStreetDescNo) {
        params.put("RS_STREET_DESC_NO", rsStreetDescNo);
        return this;
    }

    public MWFIC8Data rsStreetOrientNo(String rsStreetOrientNo) {
        params.put("RS_STREET_ORIENT_NO", rsStreetOrientNo);
        return this;
    }

    public MWFIC8Data rsCity(String rsCity) {
        params.put("RS_CITY", rsCity);
        return this;
    }

    public MWFIC8Data rsStreet(String rsStreet) {
        params.put("RS_STREET", rsStreet);
        return this;
    }

    public MWFIC8Data rsZipcode(String rsZipcode) {
        params.put("RS_ZIPCODE", rsZipcode);
        return this;
    }

    public MWFIC8Data rsCntry(String rsCntry) {
        params.put("RS_CNTRY", rsCntry);
        return this;
    }

    public MWFIC8Data rsPurp(String rsPurp) {
        params.put("RS_PURP", rsPurp);
        return this;
    }

    public MWFIC8Data rsPostOffice(String rsPostOffice) {
        params.put("RS_POST_OFFICE", rsPostOffice);
        return this;
    }

    public MWFIC8Data rsAddrSince(java.util.Date rsAddrSince) {
        params.put("RS_ADDR_SINCE", rsAddrSince);
        return this;
    }

    public MWFIC8Data rsAddressee(String rsAddressee) {
        params.put("RS_ADDRESSEE", rsAddressee);
        return this;
    }

    public MWFIC8Data rsVerifiedByCourierFlag(Long rsVerifiedByCourierFlag) {
        params.put("RS_VERIFIED_BY_COURIER_FLAG", rsVerifiedByCourierFlag);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
